## apache2 2.2.21

=== debian/changelog ===
apache2 (2.2.21-5) unstable; urgency=low

  [ Arno Töll ]
  * Fix build failures introduced as regregression by the previous build. Debian
    buildds aren't rebuilding arch:all packages which caused problems for our
    unconditional copying into binary package. I was warned.

 -- Stefan Fritsch <sf@debian.org>  Thu, 29 Dec 2011 17:36:41 +0100

apache2 (2.2.21-4) unstable; urgency=low

  [ Stefan Fritsch ]

  * Security: Fix broken patch for CVE-2011-3607 (Integer overflow in
    ap_pregsub).
  * Optimize debian/rules again to improve build time by doing most work in a
    single parallelized "build-%" target.

  [ Arno Töll ]

  * Fix "Suggest removing DefaultType from apache2.conf" change the DefaultType
    from text/plain to None. This lets the browser guess a proper MIME type
    instead of being forced to treat a given file according to our default type
    (Closes: #440058)
  * Fix "add pre-rotate hook to logrotate script" execute scripts in
    /etc/logrotate.d/httpd-prerotate if available (Closes: #590096).
  * Fix "Hide /icons index" Disables indexes on the icon directory. By upgrading
    to Debian's 3.0/quilt source format also images don't need to be generated
    at build time anymore. Hence, the icon date can no longer lead to
    information disclosure (Closes: #649888).
  * Upgrade package to 3.0/quilt.
    + Remove uuencoded images, keep them in their binary format in debian/icons
    + Upgrade to quilt from dpatch and refresh all patches by keeping all hunks
      unchanged. Remove the `001_branding' patch by supplying -DPLATFORM at
      build time where needed Move the 200_cp_suexec.dpatch patch and
      202_suexec-custom.dpatch patch to debian/rules. 200_cp_suexec.dpatch was a
      script, not a patch which is not supported by quilt.
  * Rewrite debian/rules and base it on dh(1).
    + use overrides where possible, replace some debhelper calls by our own
      implementation where needed. That's required since the Apache package is
      compiled in parts several times for each MPM once.
    + move some install operations to the their respective .install files
    + Support dpkg-buildflags now, which also enables by default hardening
      flags. Thus, remove them from their explicit appearance in debian/rules
    + Remove DEB_BUILD_OPTIONS legacy support. It comes for free when using
      dh(1)/dpkg-buildflags(1).
  * Push debhelper compatibility to 8
  * Remove unused Lintian overrides for the Debian source package remove and
    redundant priorities in debian/control.
  * Add myself to Uploaders

 -- Stefan Fritsch <sf@debian.org>  Thu, 29 Dec 2011 12:09:14 +0100

apache2 (2.2.21-3) unstable; urgency=medium

  * Fix CVE-2011-4317: Prevent unintended pattern expansion in some
    reverse proxy configurations. (Similar to CVE-2011-3368, but different
    attack vector.)
  * Fix CVE-2011-3607: Integer overflow in ap_pregsub could cause segfault
    via malicious .htaccess. 
  * Mention dpkg-statoverride for changing permissions of suexec. LP: #897120
  * Fix broken link in docs. Closes: #650528
  * Remove Tollef Fog Heen, Thom May, and Peter Samuelson from uploaders.
    Thanks for your work in the past.

 -- Stefan Fritsch <sf@debian.org>  Sat, 03 Dec 2011 18:54:03 +0100

apache2 (2.2.21-2) unstable; urgency=high

  * Fix CVE-2011-3368: Prevent unintended pattern expansion in some
    reverse proxy configurations by strictly validating the request-URI.
  * Correctly set permissions of suexec.load even if umask is 0002 during
    build. LP: #872000

 -- Stefan Fritsch <sf@debian.org>  Tue, 11 Oct 2011 22:54:47 +0200

apache2 (2.2.21-1) unstable; urgency=low

  * New upstream release.
    - Fixes CVE-2011-3348: Possible denial of service in mod_proxy_ajp
      if combined with mod_proxy_balancer

 -- Stefan Fritsch <sf@debian.org>  Mon, 26 Sep 2011 18:16:11 +0200

apache2 (2.2.20-1) unstable; urgency=low

  * New upstream release.
  * Fix some regressions related to Range requests caused by the CVE-2011-3192
    fix. Closes: #639825
  * Add build-arch and build-indep rules targets to make Lintian happy.
  * Bump Standards-Version (no changes).

 -- Stefan Fritsch <sf@debian.org>  Sun, 04 Sep 2011 21:50:22 +0200

apache2 (2.2.19-2) unstable; urgency=high

  * Fix CVE-2011-3192: DoS by high memory usage for a large number of
    overlapping ranges.
  * Reduce default KeepAliveTimeout from 15 to 5 seconds. 
  * Use "linux-any" in build-deps. Closes: #634709
  * Improve reload message of a2enmod. Closes: #639291
  * Improve description of the prefork MPM. Closes: #634242
  * Mention .conf files in a2enmod man page. Closes: #634834

 -- Stefan Fritsch <sf@debian.org>  Mon, 29 Aug 2011 17:08:17 +0200

apache2 (2.2.19-1) unstable; urgency=low

  * New upstream release.
    - Makes apr-md5 the default algorithm for htpasswd, removing the 8
      character limit of the crypt()-algorithm. Closes: #539246
    - Fixes merging of IndexOptions. Closes: #394688
    - Documents why order of ProxyPass and <Proxy> blocks matters in the
      configuration. See "Workers" section in the mod_proxy documentation.
      Closes: #560020
  * For multiple instance setups, correctly determine the config dir in the
    init script if it is called via a start/stop link. Closes: #627061
  * Make a2enmod's restart hint more cut'n'paste friendly. LP: #770204
  * Make it clear in README.multiple-instances that the MPMs are shipped
    in the apache2.2-bin package.

 -- Stefan Fritsch <sf@debian.org>  Sun, 22 May 2011 10:21:21 +0200

apache2 (2.2.17-3) unstable; urgency=low

  * Fix compilation with OpenSSL without SSLv2 support. Closes: #622049
  * Fix link errors with -no-add-needed/--no-copy-dt-needed-entries in
    htpasswd/htdbm.

 -- Stefan Fritsch <sf@debian.org>  Sun, 10 Apr 2011 20:43:55 +0200

apache2 (2.2.17-2) unstable; urgency=high

  * New mpm_itk upstream version 2.2.17-01:
    - Fix CVE-2011-1176: If NiceValue was set, the default with no

