=== debian/control ===
Source: apache2
Section: httpd
Priority: optional
Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
Uploaders: Stefan Fritsch <sf@debian.org>, Steinar H. Gunderson <sesse@debian.org>, Arno Töll <debian@toell.net>
Build-Depends: debhelper (>= 8), lsb-release, libaprutil1-dev (>= 1.3.4), libapr1-dev, openssl, libpcre3-dev, mawk, zlib1g-dev, libssl-dev (>= 0.9.8m), sharutils, libcap-dev [linux-any], autoconf
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/pkg-apache/trunk/apache2
Vcs-svn: svn://svn.debian.org/pkg-apache/trunk/apache2
Homepage: http://httpd.apache.org/

Package: apache2.2-common
Architecture: any
Depends: ${misc:Depends}, apache2.2-bin (= ${binary:Version}), apache2-utils, mime-support, lsb-base, procps [!hurd-i386], perl
Recommends: ssl-cert
Suggests: www-browser, apache2-doc, apache2-suexec | apache2-suexec-custom
Conflicts: apache2-common, apache
Replaces: apache2-common
Description: Apache HTTP Server common files
 The Apache Software Foundation's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package contains the configuration and support scripts.
 However, it does *not* include the server itself; for this you need to
 install one of the apache2-mpm-* packages, such as worker or prefork.

Package: apache2.2-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: apache2.2-common (<< 2.2.11-5~)
Replaces: apache2.2-common (<< 2.2.14-2~)
Description: Apache HTTP Server common binary files
 The Apache Software Foundation's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package contains all binaries but no configuration or support scripts.
 To get a stand-alone server, you need to install one of the apache2-mpm-*
 packages, such as worker or prefork. Other packages like gnome-user-share
 may bring their own Apache configuration, though.

Package: apache2-mpm-worker
Architecture: any
Depends: ${misc:Depends}, apache2.2-common (= ${binary:Version}), apache2.2-bin (= ${binary:Version})
Provides: apache2-mpm, apache2, httpd, httpd-cgi
Conflicts: apache2-mpm, apache2-common
Description: Apache HTTP Server - high speed threaded model
 Each Apache Multi-Processing Module provides a different "flavor" of
 web server binary, compiled with a different processing model.
 .
 The worker MPM provides the default threaded implementation. It is
 recommended especially for high-traffic sites because it is faster
 and has a smaller memory footprint than the traditional prefork MPM.

Package: apache2-mpm-prefork
Architecture: any
Depends: ${misc:Depends}, apache2.2-common (= ${binary:Version}), apache2.2-bin (= ${binary:Version})
Provides: apache2-mpm, apache2, httpd, httpd-cgi
Conflicts: apache2-mpm, apache2-common
Description: Apache HTTP Server - traditional non-threaded model
 Each Apache Multi-Processing Module provides a different "flavor" of
 web server binary, compiled with a different processing model.
 .
 The prefork MPM provides a non-threaded implementation using a variable
 number of processes where each process handles only one connection
 at the same time. It is not as fast as threaded models, but is considered to
 be more stable. It is appropriate for sites that need to maintain
 compatibility with non-thread-safe libraries, and is the best MPM for
 isolating each request, so that a problem with a single request will not
 affect any other.

Package: apache2-mpm-event
Architecture: any
Depends: ${misc:Depends}, apache2.2-common (= ${binary:Version}), apache2.2-bin (= ${binary:Version})
Provides: apache2-mpm, apache2, httpd, httpd-cgi
Conflicts: apache2-mpm, apache2-common
Description: Apache HTTP Server - event driven model
 Each Apache Multi-Processing Module provides a different "flavor" of
 web server binary, compiled with a different processing model.
 .
 The event MPM is designed to allow more requests to be served
 simultaneously by passing off some processing work to supporting
 threads, freeing up the main threads to work on new requests. It is
 especially suitable for sites that see extensive KeepAlive traffic.
 .
 This MPM is experimental and less tested than the worker and prefork MPMs.
 
Package: apache2-mpm-itk
Depends: ${misc:Depends}, apache2.2-common (= ${binary:Version}), apache2.2-bin (= ${binary:Version})
Provides: apache2-mpm, apache2, httpd, httpd-cgi
Conflicts: apache2-mpm, apache2-common
Architecture: any
Priority: extra
Description: multiuser MPM for Apache 2.2
 The ITK Multi-Processing Module (MPM) works in about the same way as the
 classical "prefork" module (that is, without threads), except that it allows
 you to constrain each individual vhost to a particular system user. This
 allows you to run several different web sites on a single server without
 worrying that they will be able to read each others' files. This is a
 third-party MPM that is not included in the normal Apache httpd.
 .
 Please note that this MPM is somewhat less tested than the MPMs that come with
 Apache itself.

Package: apache2-utils
Architecture: any
Replaces: apache2-common, apache-utils (<< 1.3.33-4)
Conflicts: apache-common (<< 1.3.28.0.1-1)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utility programs for webservers
 Provides some add-on programs useful for any webserver.  These include:
  - ab (Apache benchmark tool)
  - logresolve (Resolve IP addresses to hostname in logfiles)
  - htpasswd (Manipulate basic authentication files)
  - htdigest (Manipulate digest authentication files)
  - dbmmanage (Manipulate basic authentication files in DBM format, using perl)
  - htdbm (Manipulate basic authentication files in DBM format, using APR)
  - rotatelogs (Periodically stop writing to a logfile and open a new one)
  - split-logfile (Split a single log including multiple vhosts)
  - checkgid (Checks whether the caller can setgid to the specified group)
  - check_forensic (Extract mod_log_forensic output from Apache log files)

Package: apache2-suexec
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, apache2.2-common
Conflicts: apache2-suexec, apache-common
Replaces: apache2-suexec
Description: Standard suexec program for Apache 2 mod_suexec
 Provides the standard suexec helper program for mod_suexec. This version is 
 compiled with document root /var/www and userdir suffix public_html. If you
 need different settings, use the package apache2-suexec-custom.

Package: apache2-suexec-custom
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, apache2.2-common
Provides: apache2-suexec
Conflicts: apache2-suexec, apache-common
Replaces: apache2-suexec
Description: Configurable suexec program for Apache 2 mod_suexec
 Provides a customizable version of the suexec helper program for mod_suexec.
 This is not the version from upstream, but can be configured with a
 configuration file. 
 .
 If you do not need non-standard document root or userdir settings, it is
 recommended that you use the standard suexec helper program from the
 apache2-suexec package instead.

Package: apache2
Architecture: any
Depends: ${misc:Depends}, apache2-mpm-worker (= ${binary:Version}) | apache2-mpm-prefork (= ${binary:Version}) | apache2-mpm-event (= ${binary:Version}) | apache2-mpm-itk (= ${binary:Version}), apache2.2-common (= ${binary:Version})
Description: Apache HTTP Server metapackage         
 The Apache Software Foundation's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 It features support for HTTPS, virtual hosting, CGI, SSI, IPv6, easy
 scripting and database integration, request/response filtering, many
 flexible authentication schemes, and more.

Package: apache2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Apache HTTP Server documentation
 This package provides the documentation for Apache 2. For more details
 see the apache2 package description.

Package: apache2-prefork-dev
Architecture: any
Depends: ${misc:Depends}, apache2.2-common (= ${binary:Version}), openssl, libaprutil1-dev
Conflicts: apache2-threaded-dev
Priority: extra
Description: Apache development headers - non-threaded MPM
 This package provides the development headers and apxs2 binary for
 apache2-mpm-prefork; see the apache2 package description for more details.
 .
 This should only be used when you absolutely *must* support a non-threaded
 environment (for PHP, for example).

Package: apache2-threaded-dev
Architecture: any
Depends: ${misc:Depends}, apache2.2-common (= ${binary:Version}), openssl, libaprutil1-dev
Conflicts: apache2-prefork-dev
Provides: apache2-dev
Priority: extra
Description: Apache development headers - threaded MPM
 This package provides the development headers and apxs2 binary for
 threaded versions of apache2; see the apache2 package description
 for more details.

Package: apache2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, apache2.2-bin (= ${binary:Version})
Description: Apache debugging symbols
 This package includes the debugging symbols for Apache 2.
 See /usr/share/doc/apache2.2-common/README.backtrace for more information.
