=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Some caveats:
# 1) This rules file is based on the short dh(1) form. However, it needs a lot
#    of overrides to achieve what we want. The basic outline is to build the
#    source three four times, once for each supported MPM.
# 2) The modules aren't built for all MPMs. Given that the builtin modules are
#    the same for all MPMs it is possible to cross-load a module built for one
#    MPM in any other. Hence, we build modules only for the worker MPM and reuse
#    it for all the remaining MPMs. The worker $(DEFAULT_MPM) is the basic
#    installation path where packages are being built from. From the remaining
#    MPMs only the respective binaries are taken. Development header are
#    similary taken from the prefork MPM, although the threaded MPMs need their
#    own headers partially.
# 3) The ITK MPM needs modification in the source tree. Hence it is absolutely
#    necessary to copy the source tree before applying patches which enable the
#    ITK. For the remaining MPMs that's not stricly necessary
# 4) There are being built two flavors of suexec. One is supplied upstream,
#    another one is a Debian improvement which allows customization. The latter
#    suexec-custom binary is built from a copy-and-patched suexec source at
#    compile time.
# 5) Special care must be taken to avoid having -DPLATFORM defined for apxs2.
# 6) dh_install is not powerful enough to us. We need to copy and move into
#    (future) binary packages.See various dh_install* overrides to get the idea.
# 7) BEWARE arch:indep ONLY BUILDS (dpkg-buildpackage -A) ARE KNOWN TO BE BROKEN
#    FOR NOW
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILD_DIR=debian/build-tree
INSTALL_DIR_RELATIVE=install-tree
INSTALL_DIR=debian/$(INSTALL_DIR_RELATIVE)
LSB_RELEASE := $(shell lsb_release -i -s)
DEFAULT_MPM=$(INSTALL_DIR)/worker

MPMS=worker prefork event itk

AP2_COMMON_CONFARGS = --enable-layout=Debian --enable-so \
                      --with-program-name=apache2  \
                      --with-ldap=yes --with-ldap-include=/usr/include \
                      --with-ldap-lib=/usr/lib \
                      --with-suexec-caller=www-data \
                      --with-suexec-bin=/usr/lib/apache2/suexec \
                      --with-suexec-docroot=/var/www \
                      --with-suexec-userdir=public_html \
                      --with-suexec-logfile=/var/log/apache2/suexec.log \
                      --with-suexec-uidmin=100 \
                      --enable-suexec=shared \
                      --enable-log-config=static --enable-logio=static \
                      --with-apr=/usr/bin/apr-1-config \
                      --with-apr-util=/usr/bin/apu-1-config \
                      --with-pcre=yes \
                      --enable-pie

AP2_worker_CONFARGS = --enable-authn-alias=shared --enable-authnz-ldap=shared  \
                      --enable-disk-cache=shared --enable-cache=shared \
                      --enable-mem-cache=shared --enable-file-cache=shared \
                      --enable-cern-meta=shared --enable-dumpio=shared --enable-ext-filter=shared \
                      --enable-charset-lite=shared --enable-cgi=shared \
                      --enable-dav-lock=shared --enable-log-forensic=shared \
                      --enable-ldap=shared --enable-proxy=shared \
                      --enable-proxy-connect=shared --enable-proxy-ftp=shared \
                      --enable-proxy-http=shared --enable-proxy-ajp=shared \
                      --enable-proxy-scgi=shared \
                      --enable-proxy-balancer=shared --enable-ssl=shared \
                      --enable-authn-dbm=shared --enable-authn-anon=shared \
                      --enable-authn-dbd=shared --enable-authn-file=shared \
                      --enable-authn-default=shared --enable-authz-host=shared \
                      --enable-authz-groupfile=shared --enable-authz-user=shared \
                      --enable-authz-dbm=shared --enable-authz-owner=shared \
                      --enable-authnz-ldap=shared --enable-authz-default=shared \
                      --enable-auth-basic=shared --enable-auth-digest=shared \
                      --enable-dbd=shared --enable-deflate=shared \
                      --enable-include=shared --enable-filter=shared \
                      --enable-env=shared --enable-mime-magic=shared \
                      --enable-expires=shared --enable-headers=shared \
                      --enable-ident=shared --enable-usertrack=shared \
                      --enable-unique-id=shared --enable-setenvif=shared \
                      --enable-version=shared --enable-status=shared \
                      --enable-autoindex=shared --enable-asis=shared \
                      --enable-info=shared --enable-cgid=shared \
                      --enable-dav=shared --enable-dav-fs=shared \
                      --enable-vhost-alias=shared --enable-negotiation=shared \
                      --enable-dir=shared --enable-imagemap=shared \
                      --enable-actions=shared --enable-speling=shared \
                      --enable-userdir=shared --enable-alias=shared \
                      --enable-rewrite=shared --enable-mime=shared \
                      --enable-substitute=shared  --enable-reqtimeout=shared
AP2_prefork_CONFARGS=--enable-modules=none
AP2_event_CONFARGS=$(AP2_prefork_CONFARGS)
AP2_itk_CONFARGS=$(AP2_prefork_CONFARGS)

AP2_CFLAGS = -pipe -I/usr/include/xmltok -I/usr/include/openssl -Wall $(shell dpkg-buildflags --get CFLAGS)
AP2_LDFLAGS = -Wl,--as-needed $(shell dpkg-buildflags --get LDFLAGS)
AP2_CPPFLAGS = -DPLATFORM='\"$(LSB_RELEASE)\"'  $(shell dpkg-buildflags --get CPPFLAGS)
CONFFLAGS += ac_cv_prog_AWK=mawk ac_cv_prog_LYNX_PATH=www-browser

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
DEB_BUILD_STRIP = yes
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  BUILDMAKEFLAGS = -j$(NUMJOBS)
endif

prepare-custom-suexec:
	cp support/suexec.c support/suexec-custom.c
	patch -p1 < debian/patches/202_suexec-custom

unapply-custom-suexec:
	rm -f support/suexec-custom.c

override_dh_auto_clean: unapply-custom-suexec
	rm -rf $(BUILD_DIR)
	rm -rf $(INSTALL_DIR)
	rm -f debian/tmp

build-%:
	mkdir "$(BUILD_DIR)/$*"
	cp -a `find . -maxdepth 1 -mindepth 1 -not -name debian` $(BUILD_DIR)/$*
	set -ex	;										\
	if [ $* = itk ] ; then                                                                  \
		cd $(BUILD_DIR)/$* ;                                                            \
		mkdir server/mpm/experimental/itk/ ;                                            \
		cp server/mpm/prefork/* server/mpm/experimental/itk/ ;                          \
		mv server/mpm/experimental/itk/prefork.c server/mpm/experimental/itk/itk.c ;    \
												\
		for PATCH in `tail -n +2 ../../mpm-itk/patches/series`; do                      \
			echo Applying $$PATCH ... ;                                             \
			patch -p1 < ../../mpm-itk/patches/$$PATCH ;                             \
			echo ;                                                                  \
		done ;                                                                          \
												\
		autoheader ;                                                                    \
		autoconf ;                                                                      \
	fi ;
	cd $(BUILD_DIR)/$* && ./configure \
		$(AP2_COMMON_CONFARGS) --with-mpm=$* $(AP2_$(*)_CONFARGS) $(CONFFLAGS) \
		CFLAGS="$(AP2_CFLAGS)" CPPFLAGS="$(AP2_CPPFLAGS)" LDFLAGS="$(AP2_LDFLAGS)"
	dh_auto_build -D "$(BUILD_DIR)/$*"
	cd "$(BUILD_DIR)/$*" && ./apache2 -l |grep -v $* > mods.list
	# force one process since mkdir.sh used by 'make install' is not
	# reliable otherwise
	dh_auto_install -D "$(BUILD_DIR)/$*" --destdir="$(INSTALL_DIR)/$*" -- -j1
