=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 8), lsb-release, libaprutil1-dev (>= 1.3.4), libapr1-dev, openssl, libpcre3-dev, mawk, zlib1g-dev, libssl-dev (>= 0.9.8m), sharutils, libcap-dev [linux-any], autoconf
 Build-Conflicts: autoconf2.13
 Standards-Version: 3.9.2
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-apache/trunk/apache2
-Vcs-svn: svn://svn.debian.org/pkg-apache/trunk/apache2
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-apache/apache2.git
+Vcs-Git: git://git.debian.org/git/pkg-apache/apache2.git
 Homepage: http://httpd.apache.org/
 
 Package: apache2.2-common
@@ -106,7 +106,7 @@
 
 Package: apache2-utils
 Architecture: any
-Replaces: apache2-common, apache-utils (<< 1.3.33-4)
+Replaces: apache2-common, apache-utils (<< 1.3.33-4), apache2.2-bin (<< 2.2.22-1~)
 Conflicts: apache-common (<< 1.3.28.0.1-1)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: utility programs for webservers
@@ -121,6 +121,7 @@
   - split-logfile (Split a single log including multiple vhosts)
   - checkgid (Checks whether the caller can setgid to the specified group)
   - check_forensic (Extract mod_log_forensic output from Apache log files)
+  - httxt2dbm (Generate dbm files for use with RewriteMap)
 
 Package: apache2-suexec
 Architecture: any
