=== debian/watch ===
version=3
http://www.apache.org/dist/httpd/httpd-(2\.2.*)\.tar\.gz
